// Dart imports:
import 'dart:async';

// Project imports:
import 'package:zego_uikit/zego_uikit.dart';

mixin ZegoUIKitNotificationPluginService {
  Future<ZegoSignalingPluginResult> enableNotifyWhenAppIsInTheBackgroundOrQuit(
      bool enabled) async {
    Map result = await ZegoUIKit()
        .getPlugin(ZegoUIKitPluginType.signaling)!
        .invoke('enableNotifyWhenAppIsInTheBackgroundOrQuit', {
      'enabled': enabled,
    });

    return ZegoSignalingPluginResult(
      result['errorCode'] as String,
      result['errorMessage'] as String,
    );
  }
}
